import sys
import codecs
import nltk

def AnalisiLinguistica(frasi):
        sentence_list= []
        sentence_parola = []
        tokensTOT = []
        NamedEntityList = []
        tokensPOStot = []
        for frase in frasi:
                tokens = nltk.word_tokenize(frase)
                tokensPOS = nltk.pos_tag(tokens)
                analisi = nltk.ne_chunk(tokensPOS)
                for nodo in analisi:
                        NE=' '
                        if hasattr(nodo,'label'):
                                if nodo.label() in ['PERSON']:
                                        for partNE in nodo.leaves():
                                                NE = NE+' '+partNE[0]
                                        NamedEntityList.append(NE)
                Frequenza = nltk.FreqDist(NamedEntityList)
                DieciNomiPropri = Frequenza.most_common(10)
        return DieciNomiPropri





def main(file1,file2):
	fileInput1 = codecs.open(file1, "r", "utf-8")
	fileInput2 = codecs.open(file2, "r", "utf-8")
	raw1 = fileInput1.read()
	raw2 = fileInput2.read()
	sent_tokenizer = nltk.data.load('tokenizers/punkt/english.pickle')
	frasi1 = sent_tokenizer.tokenize(raw1)
	frasi2 = sent_tokenizer.tokenize(raw2)
	DNomi1 = AnalisiLinguistica(frasi1)
	print("I dieci nomi di persona piu frequenti del", file1, "sono", DNomi1)
	DNomi2 = AnalisiLinguistica(frasi2)
	print("I dieci nomi di persona piu frequenti del", file2, "sono", DNomi2)

		

main(sys.argv[1], sys.argv[2])


